Package jxl.format

# Class Orientation

java.lang.Object
jxl.format.Orientation

public final class Orientation extends Object
Enumeration type which describes the orientation of data within a cell

## Field Summary

Fields
Modifier and Type
Field
Description
`static Orientation`
`HORIZONTAL`
Cells with this specified orientation will be horizontal
`static Orientation`
`MINUS_45`
Cells with this specified orientation will have their data presented with a rotation 45 degrees downwards
`static Orientation`
`MINUS_90`
Cells with this specified orientation will have their data presented with a rotation of 90 degrees downwards
`static Orientation`
`PLUS_45`
Cells with this specified orientation will have their data presented with a rotation 45 degrees upwards
`static Orientation`
`PLUS_90`
Cells with this specified orientation will have their data presented with a rotation of 90 degrees upwards
`static Orientation`
`STACKED`
Cells with this specified orientation will have their text stacked downwards, but not rotated
`static Orientation`
`VERTICAL`
Cells with this specified orientation have their data presented vertically

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the textual description
`static Orientation`
`getOrientation(int val)`
Gets the alignment from the value
`int`
`getValue()`
Accessor for the binary value

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HORIZONTAL

public static Orientation HORIZONTAL
Cells with this specified orientation will be horizontal

### VERTICAL

public static Orientation VERTICAL
Cells with this specified orientation have their data presented vertically

### PLUS_90

public static Orientation PLUS_90
Cells with this specified orientation will have their data presented with a rotation of 90 degrees upwards

### MINUS_90

public static Orientation MINUS_90
Cells with this specified orientation will have their data presented with a rotation of 90 degrees downwards

### PLUS_45

public static Orientation PLUS_45
Cells with this specified orientation will have their data presented with a rotation 45 degrees upwards

### MINUS_45

public static Orientation MINUS_45
Cells with this specified orientation will have their data presented with a rotation 45 degrees downwards

### STACKED

public static Orientation STACKED
Cells with this specified orientation will have their text stacked downwards, but not rotated

## Method Details

### getValue

public int getValue()
Accessor for the binary value

Returns:
  the internal binary value

### getDescription

public String getDescription()
Gets the textual description

### getOrientation

public static Orientation getOrientation(int val)
Gets the alignment from the value

Parameters:
  `val` -
Returns:
  the alignment with that value